<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="planar3teager">
		<feature>InputColumn(POSTAG, Stack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, Stack[1])</feature>

		<feature>InputColumn(POSTAG, pred(Input[0]))</feature>
		<feature>OutputColumn(DEPREL, Stack[0])</feature>
                <feature>OutputColumn(DEPREL, ldep(Stack[0]))</feature>
		<feature>OutputColumn(DEPREL, rdep(Stack[0]))</feature>
		<feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>

		<feature>OutputColumn3T(DEPREL, Stack[0])</feature>
                <feature>OutputColumn3T(DEPREL, rdep(Stack[0]))</feature>
		<feature>OutputColumn3T2(DEPREL, Stack[0])</feature>
		<feature>OutputColumn3T2(DEPREL, rdep(Stack[0]))</feature>
		
		<feature>InputColumn(FORM, Stack[0])</feature>
		<feature>InputColumn(FORM, Input[0])</feature>
		<feature>InputColumn(FORM, Input[1])</feature>
		<feature>InputColumn(FORM, head1(Stack[0]))</feature>
		<feature>InputColumn(FORM, head2(Stack[0]))</feature>
		<feature>InputColumn(FORM, head3(Stack[0]))</feature>
		<feature>InputColumn(FORM, rdep(Stack[0]))</feature>
		<feature>InputColumn(FORM, ldep(Input[0]))</feature>
		<feature>InputColumn(FORM, pred(Input[0]))</feature>
		
                <feature>OutputArcRelated(DEPREL, Stack[0], Input[0])</feature>
                <feature>InputColumn(CPOSTAG, Stack[0])</feature>
		<feature>InputColumn(CPOSTAG, Input[0])</feature>
		<feature>InputColumn(CPOSTAG, pred(Input[0]))</feature>
		<feature>InputColumn(FEATS, Stack[0])</feature>
		<feature>InputColumn(FEATS, Input[0])</feature>
		<feature>InputColumn(FEATS, pred(Input[0]))</feature>
	</featuremodel>
</featuremodels>
